Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim
Class TransformAnimation

    java.lang.Object
      org.apache.batik.anim.AbstractAnimation
          org.apache.batik.anim.InterpolatingAnimation
              org.apache.batik.anim.SimpleAnimation
                  org.apache.batik.anim.TransformAnimation

    public class TransformAnimation

extends SimpleAnimation

An animation class for 'animateTransform' animations.

Field Summary
`protected float[]` | `keyTimes2` Time values to control the pacing of the second component of the animation.
`protected float[]` | `keyTimes3` Time values to control the pacing of the third component of the animation.
`protected short` | `type` The transform type.

Fields inherited from class org.apache.batik.anim.SimpleAnimation
`by, from, to, values`

Fields inherited from class org.apache.batik.anim.InterpolatingAnimation
`additive, calcMode, cumulative, keySplineCubics, keySplines, keyTimes`

Fields inherited from class org.apache.batik.anim.AbstractAnimation
`animatableElement, beginTime, CALC_MODE_DISCRETE, CALC_MODE_LINEAR, CALC_MODE_PACED, CALC_MODE_SPLINE, composedValue, higherAnimation, isActive, isDirty, isFrozen, lowerAnimation, timedElement, toAnimation, usesUnderlyingValue, value`

Constructor Summary
`TransformAnimation(TimedElement timedElement, AnimatableElement animatableElement, int calcMode, float[] keyTimes, float[] keySplines, boolean additive, boolean cumulative, AnimatableValue[] values, AnimatableValue from, AnimatableValue to, AnimatableValue by, short type)` Creates a new TransformAnimation.

Method Summary
`protected void` | `sampledAtUnitTime(float unitTime, int repeatIteration)` Called when the element is sampled at the given unit time.

Methods inherited from class org.apache.batik.anim.InterpolatingAnimation
`sampledAt, sampledLastValue, willReplace`

Methods inherited from class org.apache.batik.anim.AbstractAnimation
`getComposedValue, getTimedElement, getValue, markDirty, toString, usesUnderlyingValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    protected short type

  The transform type. This should take one of the constants defined in `SVGTransform`.

### keyTimes2

    protected float[] keyTimes2

  Time values to control the pacing of the second component of the animation.

### keyTimes3

    protected float[] keyTimes3

  Time values to control the pacing of the third component of the animation.

Constructor Detail

### TransformAnimation

    public TransformAnimation(TimedElement timedElement,
                              AnimatableElement animatableElement,
                              int calcMode,
                              float[] keyTimes,
                              float[] keySplines,
                              boolean additive,
                              boolean cumulative,
                              AnimatableValue[] values,
                              AnimatableValue from,
                              AnimatableValue to,
                              AnimatableValue by,
                              short type)

  Creates a new TransformAnimation.

Method Detail

### sampledAtUnitTime

    protected void sampledAtUnitTime(float unitTime,
                                     int repeatIteration)

  Called when the element is sampled at the given unit time. This updates the `AbstractAnimation.value` of the animation if active.

  Overrides:
    `sampledAtUnitTime` in class `SimpleAnimation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.